<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/meshcop/leader.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d9/d7e/leader_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">leader.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d7e/leader_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef MESHCOP_LEADER_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define MESHCOP_LEADER_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dd/d28/coap__server_8hpp.html">coap/coap_server.hpp</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/d05/timer_8hpp.html">common/timer.hpp</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d0/db7/udp6_8hpp.html">net/udp6.hpp</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dd/d6b/meshcop__tlvs_8hpp.html">thread/meshcop_tlvs.hpp</a>&gt;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d0/d78/mle_8hpp.html">thread/mle.hpp</a>&gt;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">namespace </span>MeshCoP {</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<a class="code" href="../../d7/da1/group__toolchain.html#gaba6ad63129c3a790957a9b149a65891b">OT_TOOL_PACKED_BEGIN</a></div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="../../d7/d9d/classThread_1_1MeshCoP_1_1CommissioningData.html">   47</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d7/d9d/classThread_1_1MeshCoP_1_1CommissioningData.html">CommissioningData</a></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;{</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    uint8_t GetLength(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">sizeof</span>(<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a>) + mBorderAgentLocator.<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69">GetLength</a>() +</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;               <span class="keyword">sizeof</span>(<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a>) + mCommissionerSessionId.<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69">GetLength</a>() +</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;               <span class="keyword">sizeof</span>(<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a>) + mSteeringData.<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69">GetLength</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    }</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <a class="code" href="../../de/d05/classThread_1_1MeshCoP_1_1BorderAgentLocatorTlv.html">BorderAgentLocatorTlv</a> mBorderAgentLocator;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="../../d3/d4c/classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv.html">CommissionerSessionIdTlv</a> mCommissionerSessionId;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <a class="code" href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html">SteeringDataTlv</a> mSteeringData;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;} <a class="code" href="../../d7/da1/group__toolchain.html#gacf07d7a4a2ea6d0cc3426234565fcb7b">OT_TOOL_PACKED_END</a>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html">   61</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html">Leader</a></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;{</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <a class="code" href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html">Leader</a>(<a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> SendDatasetChanged(<span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aAddress);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    {</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        kTimeoutLeaderPetition = 50, </div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    };</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleTimer(<span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">void</span> HandleTimer(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandlePetition(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage,</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;                               <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">void</span> HandlePetition(<a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> SendPetitionResponse(<span class="keyword">const</span> <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aRequestHeader, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo,</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;                                     <a class="code" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a3fd37a56d583ff83449a34434dafc145">StateTlv::State</a> aState);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleKeepAlive(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage,</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                                <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">void</span> HandleKeepAlive(<a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aHeader, <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> SendKeepAliveResponse(<span class="keyword">const</span> <a class="code" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Coap::Header</a> &amp;aRequestHeader, <span class="keyword">const</span> <a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Ip6::MessageInfo</a> &amp;aMessageInfo,</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;                                      <a class="code" href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a3fd37a56d583ff83449a34434dafc145">StateTlv::State</a> aState);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleUdpReceive(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a> aMessage, <span class="keyword">const</span> <a class="code" href="../../dd/d76/structotMessageInfo.html">otMessageInfo</a> *aMessageInfo);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <a class="code" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Coap::Resource</a> mPetition;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <a class="code" href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Coap::Resource</a> mKeepAlive;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <a class="code" href="../../de/d76/classThread_1_1Coap_1_1Server.html">Coap::Server</a> &amp;mCoapServer;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    uint8_t mCoapToken[2];</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    uint16_t mCoapMessageId;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <a class="code" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">NetworkData::Leader</a> &amp;mNetworkData;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <a class="code" href="../../d1/d40/classThread_1_1Timer.html">Timer</a> mTimer;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <a class="code" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html">Ip6::UdpSocket</a> mSocket;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <a class="code" href="../../dc/db2/classThread_1_1MeshCoP_1_1CommissionerIdTlv.html">CommissionerIdTlv</a> mCommissionerId;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    uint16_t mSessionId;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;mNetif;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;};</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}  <span class="comment">// namespace MeshCoP</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="preprocessor">#endif  // MESHCOP_LEADER_HPP_</span></div><div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Thread::Ip6::MessageInfo</a></div><div class="ttdoc">This class implements message information for an IPv6 message. </div><div class="ttdef"><b>Definition:</b> socket.hpp:54</div></div>
<div class="ttc" id="mle_8hpp_html"><div class="ttname"><a href="../../d0/d78/mle_8hpp.html">mle.hpp</a></div><div class="ttdoc">This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. </div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1BorderAgentLocatorTlv_html"><div class="ttname"><a href="../../de/d05/classThread_1_1MeshCoP_1_1BorderAgentLocatorTlv.html">Thread::MeshCoP::BorderAgentLocatorTlv</a></div><div class="ttdoc">This class implements Border Agent Locator TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:629</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1StateTlv_html_a3fd37a56d583ff83449a34434dafc145"><div class="ttname"><a href="../../d2/da8/classThread_1_1MeshCoP_1_1StateTlv.html#a3fd37a56d583ff83449a34434dafc145">Thread::MeshCoP::StateTlv::State</a></div><div class="ttdeci">State</div><div class="ttdoc">State values. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:984</div></div>
<div class="ttc" id="classThread_1_1Message_html"><div class="ttname"><a href="../../dc/d3c/classThread_1_1Message.html">Thread::Message</a></div><div class="ttdoc">This class represents a message. </div><div class="ttdef"><b>Definition:</b> message.hpp:213</div></div>
<div class="ttc" id="classThread_1_1ThreadNetif_html"><div class="ttname"><a href="../../d3/d8e/classThread_1_1ThreadNetif.html">Thread::ThreadNetif</a></div><div class="ttdef"><b>Definition:</b> thread_netif.hpp:85</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="classThread_1_1Timer_html"><div class="ttname"><a href="../../d1/d40/classThread_1_1Timer.html">Thread::Timer</a></div><div class="ttdoc">This class implements a timer. </div><div class="ttdef"><b>Definition:</b> timer.hpp:138</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Leader_html"><div class="ttname"><a href="../../d6/db2/classThread_1_1MeshCoP_1_1Leader.html">Thread::MeshCoP::Leader</a></div><div class="ttdef"><b>Definition:</b> leader.hpp:61</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1CommissionerIdTlv_html"><div class="ttname"><a href="../../dc/db2/classThread_1_1MeshCoP_1_1CommissionerIdTlv.html">Thread::MeshCoP::CommissionerIdTlv</a></div><div class="ttdoc">This class implements the Commissioner ID TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:672</div></div>
<div class="ttc" id="meshcop__tlvs_8hpp_html"><div class="ttname"><a href="../../dd/d6b/meshcop__tlvs_8hpp.html">meshcop_tlvs.hpp</a></div><div class="ttdoc">This file includes definitions for generating and processing MeshCoP TLVs. </div></div>
<div class="ttc" id="udp6_8hpp_html"><div class="ttname"><a href="../../d0/db7/udp6_8hpp.html">udp6.hpp</a></div><div class="ttdoc">This file includes definitions for UDP/IPv6 sockets. </div></div>
<div class="ttc" id="classThread_1_1NetworkData_1_1Leader_html"><div class="ttname"><a href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html">Thread::NetworkData::Leader</a></div><div class="ttdoc">This class implements the Thread Network Data maintained by the Leader. </div><div class="ttdef"><b>Definition:</b> network_data_leader.hpp:65</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv_html"><div class="ttname"><a href="../../d3/d4c/classThread_1_1MeshCoP_1_1CommissionerSessionIdTlv.html">Thread::MeshCoP::CommissionerSessionIdTlv</a></div><div class="ttdoc">This class implements Commissioner Session ID TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:723</div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Header_html"><div class="ttname"><a href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></div><div class="ttdoc">This class implements CoAP header generation and parsing. </div><div class="ttdef"><b>Definition:</b> coap_header.hpp:68</div></div>
<div class="ttc" id="coap__server_8hpp_html"><div class="ttname"><a href="../../dd/d28/coap__server_8hpp.html">coap_server.hpp</a></div><div class="ttdoc">This file includes definitions for the CoAP server. </div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1CommissioningData_html"><div class="ttname"><a href="../../d7/d9d/classThread_1_1MeshCoP_1_1CommissioningData.html">Thread::MeshCoP::CommissioningData</a></div><div class="ttdef"><b>Definition:</b> leader.hpp:47</div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Resource_html"><div class="ttname"><a href="../../d0/d63/classThread_1_1Coap_1_1Resource.html">Thread::Coap::Resource</a></div><div class="ttdoc">This class implements CoAP resource handling. </div><div class="ttdef"><b>Definition:</b> coap_server.hpp:55</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1UdpSocket_html"><div class="ttname"><a href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html">Thread::Ip6::UdpSocket</a></div><div class="ttdoc">This class implements a UDP/IPv6 socket. </div><div class="ttdef"><b>Definition:</b> udp6.hpp:59</div></div>
<div class="ttc" id="timer_8hpp_html"><div class="ttname"><a href="../../df/d05/timer_8hpp.html">timer.hpp</a></div><div class="ttdoc">This file includes definitions for the multiplexed timer service. </div></div>
<div class="ttc" id="classThread_1_1Coap_1_1Server_html"><div class="ttname"><a href="../../de/d76/classThread_1_1Coap_1_1Server.html">Thread::Coap::Server</a></div><div class="ttdoc">This class implements the CoAP server. </div><div class="ttdef"><b>Definition:</b> coap_server.hpp:101</div></div>
<div class="ttc" id="group__toolchain_html_gacf07d7a4a2ea6d0cc3426234565fcb7b"><div class="ttname"><a href="../../d7/da1/group__toolchain.html#gacf07d7a4a2ea6d0cc3426234565fcb7b">OT_TOOL_PACKED_END</a></div><div class="ttdeci">#define OT_TOOL_PACKED_END</div><div class="ttdoc">Compiler-specific indication at the end of a byte packed class or struct. </div><div class="ttdef"><b>Definition:</b> toolchain.h:131</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1SteeringDataTlv_html"><div class="ttname"><a href="../../d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html">Thread::MeshCoP::SteeringDataTlv</a></div><div class="ttdoc">This class implements Steering Data TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:555</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Tlv_html_ae448a8785f6715b07e973d570e715c69"><div class="ttname"><a href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae448a8785f6715b07e973d570e715c69">Thread::MeshCoP::Tlv::GetLength</a></div><div class="ttdeci">uint8_t GetLength(void) const </div><div class="ttdoc">This method returns the Length value. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:125</div></div>
<div class="ttc" id="structotMessageInfo_html"><div class="ttname"><a href="../../dd/d76/structotMessageInfo.html">otMessageInfo</a></div><div class="ttdoc">This structure represents the local and peer IPv6 socket addresses. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:902</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Tlv_html"><div class="ttname"><a href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Thread::MeshCoP::Tlv</a></div><div class="ttdoc">This class implements MeshCoP TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:55</div></div>
<div class="ttc" id="group__messages_html_ga461fb1347aeb99b1d4aab520915e121e"><div class="ttname"><a href="../../d4/d7c/group__messages.html#ga461fb1347aeb99b1d4aab520915e121e">otMessage</a></div><div class="ttdeci">void * otMessage</div><div class="ttdoc">This type points to an OpenThread message buffer. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:872</div></div>
<div class="ttc" id="group__toolchain_html_gaba6ad63129c3a790957a9b149a65891b"><div class="ttname"><a href="../../d7/da1/group__toolchain.html#gaba6ad63129c3a790957a9b149a65891b">OT_TOOL_PACKED_BEGIN</a></div><div class="ttdeci">#define OT_TOOL_PACKED_BEGIN</div><div class="ttdoc">Compiler-specific indication that a class or struct must be byte packed. </div><div class="ttdef"><b>Definition:</b> toolchain.h:129</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></div><div class="ttdoc">This class implements an IPv6 address object. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:56</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_26aa91edcfa6779bc467cd3cc7967481.html">meshcop</a></li><li class="navelem"><a class="el" href="../../d9/d7e/leader_8hpp.html">leader.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:33 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
